import request from '@/utils/request'

// 查询文件列表
export function listFile(query) {
  return request({
    url: '/algoManager/file/list',
    method: 'get',
    params: query
  })
}

// 查询输入文件列表
export function listInputFile(query) {
  return request({
    url: '/algoManager/file/listInput',
    method: 'get',
    params: query
  })
}

// 查询文件详细
export function getFile(id) {
  return request({
    url: '/algoManager/file/' + id,
    method: 'get'
  })
}

// 新增文件
export function addFile(data) {
  return request({
    url: '/algoManager/file',
    method: 'post',
    data: data
  })
}

// 修改文件
export function updateFile(data) {
  return request({
    url: '/algoManager/file',
    method: 'put',
    data: data
  })
}

// 删除文件
export function delFile(id) {
  return request({
    url: '/algoManager/file/' + id,
    method: 'delete'
  })
}

// 查询所有文件列表
export function getFileList() {
  return request({
    url: '/algoManager/file/getOption',
    method: 'get',
  })
}

// 查询输入文件列表
export function getInputFileList(subTypeId) {
  return request({
    url: '/algoManager/file/getInputOption/' + subTypeId,
    method: 'get',
  })
}